=== debian/changelog ===
quake (18) unstable; urgency=medium

  * quake4 AppArmor: allow additional video device enumeration
  * quake4 AppArmor: allow reading /etc/machine-id, used by PulseAudio
  * quake4 AppArmor: allow mmapping ~/.quake4/*/gamex86.so
  * quake: add a shortcut for Quake Episode 5: Dimensions of the Past
  * All systemd services: add Documentation key pointing to man pages
  * Add lintian overrides for repeated words in d/copyright

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:20:17 +0100

quake (17) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add support for "Enemy Territory: Quake Wars" using the
    propietary binaries (there is no open-source engine)
    and following the same patterns as used for Quake 4.

  [ Simon McVittie ]
  * Add a confirmation step before running binary-only executables
  * etqw.desktop: add some more keywords
  * etqw*.6: document QUAKE4_BACKTRACE, QUAKE4_DEBUGGER
  * Remove unused (and not installed) quake4smp wrapper
  * Check scripts for missing substitutions
  * quake4.in: use the same source for ETQW
  * README.etqw-data: expand
  * d/copyright: mention the idTech4 games, and Alexandre's contributions
  * d/control: remove Suggests on quake4-pb-bin, which is disabled in
    game-data-packager to avoid CVE-2007-5248
  * quake, quake2, quake3: if launched via a symlink whose name
    contains armagon, hipnotic, etc., run the appropriate expansion pack
  * quake.desktop, quake2.desktop, quake3.desktop: run each expansion
    pack via a different symbolic link. This is a workaround for Steam
    ignoring command-line options when adding a non-Steam shortcut
    (<https://github.com/ValveSoftware/steam-for-linux/issues/3855>)
  * quake*.desktop: stop using Roman numerals, so they sort in
    the correct order
  * quake4*: add experimental AppArmor profiles
  * Switch Vcs-Git to https (see #810378)
  * Standards-Version: 3.9.8 (no further changes needed)
  * Normalize packaging via wrap-and-sort -abst
  * quake4.in: don't run env under gdb, if using both

 -- Simon McVittie <smcv@debian.org>  Mon, 30 May 2016 09:38:18 +0100
