=== debian/control ===
Source: quake
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 David Banks <amoebae@gmail.com>,
 Simon McVittie <smcv@debian.org>,
 Jack Coulter <jscinoz@gmail.com>,
Section: contrib/games
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-apparmor [i386],
 dh-systemd,
 imagemagick,
 inkscape,
 xcftools,
 xmlstarlet,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/quake.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quake.git

Package: etqw
Architecture: i386
Depends:
 etqw-bin | game-data-packager (>= 44),
 x11-utils | zenity | kde-baseapps-bin,
 ${misc:Depends},
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Depends:
 adduser,
 etqw-bin | game-data-packager (>= 44),
 etqw-data | game-data-packager (>= 44),
 ${misc:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: quake
Architecture: all
Depends:
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Recommends:
 x11-utils | zenity | kde-baseapps-bin,
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.
 .
 game-data-packager (>= 45) can also produce packages for the official Episode
 5, Dimensions of the Past (developed by MachineGames to mark Quake's 20th
 anniversary), and for the official mission
 packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
 of Eternity (developed by Rogue Entertainment). Additional menu entries
 should appear automatically if those expansions are installed.

Package: quake-server
Architecture: all
Depends:
 adduser,
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine-server,
 ${misc:Depends},
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Depends:
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2 | quake2-engine,
 ${misc:Depends},
Suggests:
 quake2-groundzero,
 quake2-music,
 quake2-reckoning,
Recommends:
 game-data-packager (>= 39),
 x11-utils | zenity | kde-baseapps-bin,
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.
 .
 game-data-packager (>= 39) can also produce packages for the official mission
 packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero
 (developed by Rogue Entertainment). Additional menu entries should
 appear automatically if those expansions are installed.

Package: quake2-server
Architecture: all
Depends:
 adduser,
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2-core | quake2-engine-server,
 ${misc:Depends},
Suggests:
 quake2-groundzero-data,
 quake2-reckoning-data,
Description: dedicated server for Quake II
 This package contains a launcher script and init script to run a
 Quake II server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.

Package: quake3
Architecture: all
Depends:
 ioquake3,
 quake3-data | quake3-demo-data (>= 40) | game-data-packager (>= 23),
 ${misc:Depends},
Suggests:
 quake3-team-arena-data,
Recommends:
 x11-utils | zenity | kde-baseapps-bin,
Description: Quake III Arena menu entry and launcher scripts
 This package contains a launcher script and menu entry to play
 Quake III Arena or Quake III: Team Arena with the ioquake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data or quake3-demo-data package, by using
 the game-data-packager package.
 .
 quake3-data requires pak0.pk3 from a Quake III installation or CD-ROM.
 quake3-demo-data only requires freely downloadable files, but is
 not necessarily reliable.
 .
 game-data-packager (>= 39) can also produce a package for the official
 expansion pack Quake III: Team Arena. An additional menu entry should appear
 automatically if that expansion are installed.

Package: quake3-server
Architecture: all
Depends:
 adduser,
 ioquake3-server,
 quake3-data | game-data-packager (>= 23),
 ${misc:Depends},
Recommends:
 game-data-packager (>= 39),
Suggests:
 quake3-team-arena-data,
Description: Quake III Arena dedicated server launcher scripts
 This package contains a launcher script to run a Quake III Arena or
 Quake III: Team Arena dedicated server with the ioquake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.

Package: quake4
Architecture: i386
Depends:
 quake4-bin | game-data-packager (>= 43),
 x11-utils | zenity | kde-baseapps-bin,
 ${misc:Depends},
Description: science-fiction-themed first person shooter
 Quake 4 is a first-person shooter game by Raven Software and id Software,
 released in 2005. This package contains a launcher script and menu
 entry to play Quake 4 using the proprietary x86 binaries provided by
 id Software.
 .
 Please note that the Quake 4 engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 quake4-bin, and either quake4-data (for all regions except Germany)
 or quake4-censored-de-data (for the incompatible version sold in
 Germany). Creating those packages requires data files from a Quake 4
 installation or DVD.

Package: quake4-server
Architecture: i386
Depends:
 adduser,
 quake4-bin | game-data-packager (>= 43),
 quake4-data | quake4-censored-de-data | game-data-packager (>= 43),
 ${misc:Depends},
Recommends:
 systemd-sysv,
Description: dedicated server for Quake 4
 This package contains a launcher script and systemd unit to run a
 Quake 4 server using the proprietary x86 binaries provided by id Software.
 .
 Please note that the Quake 4 engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 quake4-bin, and either quake4-data (for the uncensored
 version sold on Steam and in countries other than Germany) or
 quake4-censored-de-data (for the incompatible version sold in Germany).
 Creating those packages requires data files from a Quake 4 installation
 or DVD.
